import { IgrStrategyBasedIndicator } from "./igr-strategy-based-indicator";
import { PositiveVolumeIndexIndicator } from "./PositiveVolumeIndexIndicator";
/**
 * Represents a IgxDataChartComponent Positive Volume Index (PVI) indicator series.
 * Default required members: Close, Volume
*/
export class IgrPositiveVolumeIndexIndicator extends IgrStrategyBasedIndicator {
    createImplementation() {
        return new PositiveVolumeIndexIndicator();
    }
    get i() {
        return this._implementation;
    }
    constructor(props) {
        super(props);
    }
}
